#bash
#Draws histograms for properties in poetry  by language and position.

cd /proj/aesop/predict_next/Jpaper
PR='/proj/aesop/predict_next'

for p in poetry prose
do
for l in English Russian French Chinese Greek
do
for ttype in 'final' 'medial' 'initial'
do
python $PR/bin/read_save.py -$p -l $l -cat target -out effect_size2 -select "lbl!='S' and ttype=='$ttype'" -d $PR/text_analysis/temp_txt/$ttype
python $PR/bin/histo_any.py $PR'/text_analysis/temp_txt/'$ttype'/'$l'_'$p'_target_effect_size2' -s $PR/text_analysis/property/$ttype
done
done
done